Bento4 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1133735 漏洞类型 缓冲区错误
发布时间 2017-09-27 更新时间 2019-10-23
CVE编号 CVE-2017-14643 CNNVD-ID CNNVD-201709-1000
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201709-1000
|漏洞详情
Bento4是一款用于读写MP4文件的开源的C++库。 Bento4 1.5.0-617之前的版本中的Core/Ap4HdlrAtom.cpp文件的AP4_HdlrAtom类存在安全漏洞,该漏洞源于程序使用了不正确的字符数据类型。攻击者可利用该漏洞造成拒绝服务(基于堆的缓冲区越边界读取和应用程序崩溃)。
|参考资料

来源:MISC
链接:https://blogs.gentoo.org/ago/2017/09/14/bento4-heap-based-buffer-overflow-in-ap4_bytestouint32be-ap4utils-h/
来源:MISC
链接:https://github.com/axiomatic-systems/Bento4/commit/5eb8cf89d724ccb0b4ce5f24171ec7c11f0a7647
来源:MISC
链接:https://github.com/axiomatic-systems/Bento4/issues/187